package com.juablaz.MyPlaces.Repository;

import com.juablaz.MyPlaces.Model.Entity.Place;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;


@Repository
public interface PlaceRepository extends JpaRepository<Place, Long> {

    Place findByLatitudeAndLongitudeAndUserUsername(Double latitude, Double longitude, String username);

    List<Place> findByUserUsername(String username);
}
