package com.juablaz.MyPlaces.Repository;


import com.juablaz.MyPlaces.Model.Entity.SharedPlace;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface SharedPlaceRepository extends JpaRepository<SharedPlace, Long> {
    List<SharedPlace> findByTargetUserUsernameOrderByDateDesc(String username);

    SharedPlace findByLatitudeAndLongitudeAndTargetUserUsername(Double latitude, Double longitude, String username);

    SharedPlace findByLatitudeAndLongitudeAndTargetUserUsernameAndUserSharingUsername(Double latitude, Double longitude, String username, String userSharingUsername);

}
