package com.juablaz.MyPlaces.Service;

import com.juablaz.MyPlaces.Model.Entity.Place;
import com.juablaz.MyPlaces.Model.Entity.SharedPlace;
import com.juablaz.MyPlaces.Model.Entity.User;

import java.util.ArrayList;
import java.util.List;

public interface PlaceService {
    void savePlaces(ArrayList<Place> places, User user);

    void removePlaces(ArrayList<Place> places, User user) throws Exception;

    List<Place> getPlaces(String username);

    void editPlaces(ArrayList<Place> places, User user);

    void sharePlaces(ArrayList<SharedPlace> sharedPlaces, User user, User targetUser) throws Exception;

    List<SharedPlace> getSharedPlaces(String username);

    void removeSharedPlaces(ArrayList<SharedPlace> places, User user) throws Exception;

    void addSharedPlaces(ArrayList<SharedPlace> places, User user) throws Exception;
}


