package com.juablaz.myplaces.model;

import com.google.android.gms.maps.model.Marker;

public class CustomMarker {
    private Marker marker;
    private boolean sentNotification;
    private float distancia;
    private boolean isSelected;


    public CustomMarker(Marker marker) {
        this.marker = marker;
        this.sentNotification = false;
        this.isSelected = false;
    }

    public Marker getMarker() {
        return marker;
    }

    public boolean isSentNotification() {
        return sentNotification;
    }

    public void setSentNotification(boolean sentNotification) {
        this.sentNotification = sentNotification;
    }

    public float getDistancia() {
        return distancia;
    }

    public void setDistancia(float distancia) {
        this.distancia = distancia;
    }

    public boolean isSelected() {
        return isSelected;
    }

    public void setSelected(boolean selected) {
        isSelected = selected;
    }

    @Override
    public boolean equals(Object anObject) {
        if (!(anObject instanceof CustomMarker)) {
            return false;
        }
        CustomMarker otherMember = (CustomMarker) anObject;
        return otherMember.getMarker().getPosition().equals(getMarker().getPosition());
    }

}
