package com.juablaz.myplaces.model;

import android.support.annotation.NonNull;

import com.google.android.gms.maps.model.MarkerOptions;

import java.util.Date;

public class SharedMarker {
    private MarkerOptions markerOptions;
    private Date sent;
    private boolean isSelected;
    private String sentBy;


    public SharedMarker() {
        this.isSelected = false;
    }

    public MarkerOptions getMarkerOptions() {
        return markerOptions;
    }

    public void setMarkerOptions(MarkerOptions markerOptions) {
        this.markerOptions = markerOptions;
    }

    public Date getSent() {
        return sent;
    }

    public void setSent(Date sent) {
        this.sent = sent;
    }

    public boolean isSelected() {
        return isSelected;
    }

    public void setSelected(boolean selected) {
        isSelected = selected;
    }

    public String getSentBy() {
        return sentBy;
    }

    public void setSentBy(String sentBy) {
        this.sentBy = sentBy;
    }

    @NonNull
    @Override
    public String toString() {
        return "SharedMarker{" +
                "markerOptions=" + markerOptions +
                ", sent=" + sent +
                ", isSelected=" + isSelected +
                ", sentBy='" + sentBy + '\'' +
                '}';
    }
}
