package com.juablaz.MyPlaces.Service;

import org.springframework.http.HttpEntity;
import org.springframework.http.client.ClientHttpRequestInterceptor;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import java.util.ArrayList;
import java.util.concurrent.CompletableFuture;

@Service
public class AndroidPushNotificationServiceImpl implements AndroidPushNotificationService {

    private static final String FIREBASE_SERVER_KEY = "AAAAYX-Yi3M:APA91bHSWJRe07qBfpbKrmhzqES1QLdTBvvsoJBa7fBSfK4w1Yn096z_FeiROwjPyPaPVb8IGFtIcPf3XpAKZdX6m3nWsdsR5hrpSB3l0AKbwynbvZmist0kh-6d7p21DYMSOjzWQHck";
    private static final String FIREBASE_API_URL = "https://fcm.googleapis.com/fcm/send";

    public AndroidPushNotificationServiceImpl() {
    }

    @Override
    public CompletableFuture<String> send(HttpEntity<String> entity) {
        RestTemplate restTemplate = new RestTemplate();

        ArrayList<ClientHttpRequestInterceptor> interceptors = new ArrayList<>();
        interceptors.add(new HeaderRequestInterceptor("Authorization", "key=" + FIREBASE_SERVER_KEY));
        interceptors.add(new HeaderRequestInterceptor("Content-Type", "application/json;charset=utf-8"));
        restTemplate.setInterceptors(interceptors);

        String firebaseResponse = restTemplate.postForObject(FIREBASE_API_URL, entity, String.class);

        return CompletableFuture.completedFuture(firebaseResponse);
    }


}