package com.juablaz.MyPlaces.Util;

import org.springframework.http.HttpStatus;

public class CustomOKResponse extends CustomResponse {
    public CustomOKResponse(Object message) {
        super();
        this.setDescription(String.valueOf(HttpStatus.OK.getReasonPhrase()));
        this.setStatus(String.valueOf(HttpStatus.OK.value()));
        this.setMessage(message);
        this.setCall("basic");
    }

    public CustomOKResponse(Object message, String call) {
        super();
        this.setDescription(String.valueOf(HttpStatus.OK.getReasonPhrase()));
        this.setStatus(String.valueOf(HttpStatus.OK.value()));
        this.setMessage(message);
        this.setCall(call);
    }
}
